## golang-github-couchbase-moss 0.0~git20170330.0.d2258a2

=== debian/changelog ===
golang-github-couchbase-moss (0.0~git20170330.0.d2258a2-1) unstable; urgency=medium

  * New upstream release.
  * Addes CloseEx type.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 30 Mar 2017 12:11:07 -0500

golang-github-couchbase-moss (0.0~git20170220.0.963d6c9-1) unstable; urgency=medium

  * Initial release (Closes: #855677)

 -- Michael Lustfield <michael@lustfield.net>  Wed, 22 Mar 2017 22:51:24 -0500

## golang-github-couchbase-moss 0.0~git20170914.0.07c86e8

=== Makefile ===
SHELL := /bin/bash

devsetup:
	go get "github.com/kisielk/errcheck"
	go get "github.com/golang/lint/golint"
	go get "github.com/gordonklaus/ineffassign"
	go get "github.com/client9/misspell/cmd/misspell"
	go get "gopkg.in/alecthomas/gometalinter.v1"

test:
	go test ./

fasttest:
	go test -short ./

cover:
	go test -coverprofile=cover.out ./

checkerrs:
	errcheck -blank -asserts -ignoretests ./

checkfmt:
	! gofmt -l -d ./ 2>&1 | read

checkvet:
	go tool vet -all ./

checkiea:
	ineffassign ./

checkspell:
	misspell -error ./

lint:
	golint -set_exit_status -min_confidence 0.81 ./

race:
	go test -race ./

metalinter:
	gometalinter.v1 --vendor --disable-all --enable=vet --enable=vetshadow --enable=golint --enable=ineffassign --enable=misspell --enable=gofmt --tests ./

.PHONY: all test devsetup fasttest lint cover checkerrs checkfmt checkvet checkiea checkspell race metalinter

## golang-github-couchbase-moss 0.0~git20170713.0.8ea508f

=== debian/changelog ===
golang-github-couchbase-moss (0.0~git20170713.0.8ea508f-5) unstable; urgency=medium

  * Disabled only failing tests.

 -- Michael Lustfield <michael@lustfield.net>  Wed, 09 Aug 2017 23:52:53 -0500

golang-github-couchbase-moss (0.0~git20170713.0.8ea508f-3) unstable; urgency=medium

  * Disabled unit tests which caused ftbfs.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 25 Jul 2017 18:32:01 -0500

golang-github-couchbase-moss (0.0~git20170713.0.8ea508f-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 17:16:22 -0500

=== debian/control ===
Source: golang-github-couchbase-moss
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-couchbase-ghistogram-dev,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-spf13-cobra-dev
Standards-Version: 3.9.8
Homepage: https://github.com/couchbase/moss
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-couchbase-moss.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-couchbase-moss.git
XS-Go-Import-Path: github.com/couchbase/moss

Package: golang-github-couchbase-moss-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-couchbase-ghistogram-dev,
         golang-github-edsrzf-mmap-go-dev,
         golang-github-spf13-cobra-dev
Description: moss provides a fast key/value storage library for golang
 The MOSS, memory-oriented sorted segments, library provides a key/value
 storage system implemented entirely within Go that is very fast and
 light weight. It comes with optional persistence.
 .
 Features:
   * ordered key-val collection API
   * 100% go implementation
   * key range iterators
   * snapshots provide for isolated reads
   * atomic mutations via a batch API
   * event callbacks allow the monitoring of asynchronous tasks
   * unit tests
   * and so on...

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# Remove profiling output because it is not reproducible (reprobuild)
	find debian/ -type f \( -name '*.memprof' -or -name '*.pprof' \) -delete
	# Currently, only building a library package
	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-couchbase-moss-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/couchbase/moss/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-couchbase-moss 0.0~git20170914.0.07c86e8

=== debian/changelog ===
golang-github-couchbase-moss (0.0~git20170914.0.07c86e8-4) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:27 -0600

golang-github-couchbase-moss (0.0~git20170914.0.07c86e8-3) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:58 -0600

golang-github-couchbase-moss (0.0~git20170914.0.07c86e8-2) unstable; urgency=medium

  * Remove invalid d/watch file.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 02 Oct 2017 00:33:31 -0500

golang-github-couchbase-moss (0.0~git20170914.0.07c86e8-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Lustfield <michael@lustfield.net>  Tue, 26 Sep 2017 01:20:06 -0500

golang-github-couchbase-moss (0.0~git20170828.0.61afce4-2) unstable; urgency=medium

  * Disable troublesome tests.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 22 Sep 2017 01:00:35 -0500

golang-github-couchbase-moss (0.0~git20170828.0.61afce4-1) unstable; urgency=medium

  * New upstream revision.
  * Maintenance updates:
    - Update for standards version 4.1.0.0.
    - Add Testsuite to d/control.
  * Skip tests failing on some architectures. (Closes: #868719)

 -- Michael Lustfield <michael@lustfield.net>  Thu, 21 Sep 2017 00:57:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: golang-github-couchbase-moss
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
+Maintainer: QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
                golang-github-couchbase-ghistogram-dev,
                golang-github-edsrzf-mmap-go-dev,
                golang-github-spf13-cobra-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/couchbase/moss
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-couchbase-moss.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-couchbase-moss.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/couchbase/moss
 
 Package: golang-github-couchbase-moss-dev

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	find debian/ -type f \( -name '*.memprof' -or -name '*.pprof' \) -delete
 	# Currently, only building a library package
 	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin
+
+# Tests fail on non-amd64 arch
+override_dh_auto_test:
